org.apache.xpath.res

## Class XPATHErrorResources_zh_TW

- java.lang.Object
- - java.util.ResourceBundle
  - - java.util.ListResourceBundle
    - - org.apache.xpath.res.XPATHErrorResources_zh_TW

    public class XPATHErrorResources_zh_TW
    extends java.util.ListResourceBundle

Set up error messages. We build a two dimensional array of message keys and message strings. In order to add a new message here, you need to first add a Static string constant for the Key and update the contents array with Key, Value pair Also you need to update the count of messages(MAX_CODE)or the count of warnings(MAX_WARNING) [ Information purpose only]

Usage:
  **For advanced use only**

### Nested Class Summary

### Nested classes/interfaces inherited from class java.util.ResourceBundle

`java.util.ResourceBundle.Control`

### Field Summary

Fields
`static java.lang.String` `BAD_CODE` Field BAD_CODE
`static java.lang.String` `ER_ARG_CANNOT_BE_NULL`
`static java.lang.String` `ER_ASNODEITERATOR_NOT_SUPPORTED_XRTREEFRAGSELECTWRAPPER` asNodeIterator() not supported by XRTreeFragSelectWrapper
`static java.lang.String` `ER_AXES_NOT_ALLOWED`
`static java.lang.String` `ER_BOOLEAN_ARG_NO_LONGER_OPTIONAL`
`static java.lang.String` `ER_CANNOT_CALL_SETSHOULDCACHENODE` Can not call setShouldCacheNodes after nextNode has been called!
`static java.lang.String` `ER_CANNOT_CREATE_URL`
`static java.lang.String` `ER_CANNOT_DEAL_XPATH_TYPE`
`static java.lang.String` `ER_CANNOT_WRITE_TO_EMPTYNODELISTIMPL`
`static java.lang.String` `ER_CANT_CONVERT_TO_BOOLEAN` ER_CANT_CONVERT_XPATHRESULTTYPE_TO_BOOLEAN
`static java.lang.String` `ER_CANT_CONVERT_TO_MUTABLENODELIST`
`static java.lang.String` `ER_CANT_CONVERT_TO_NODELIST`
`static java.lang.String` `ER_CANT_CONVERT_TO_NUMBER`
`static java.lang.String` `ER_CANT_CONVERT_TO_SINGLENODE` Field ER_CANT_CONVERT_TO_SINGLENODE
`static java.lang.String` `ER_CANT_CONVERT_TO_STRING`
`static java.lang.String` `ER_CANT_CONVERT_TO_TYPE`
`static java.lang.String` `ER_CANT_CONVERT_XPATHRESULTTYPE_TO_NUMBER`
`static java.lang.String` `ER_CANT_GET_SNAPSHOT_LENGTH` Field ER_CANT_GET_SNAPSHOT_LENGTH
`static java.lang.String` `ER_CONTEXT_HAS_NO_OWNERDOC`
`static java.lang.String` `ER_COULD_NOT_FIND_VAR` Could not find variable with the name of
`static java.lang.String` `ER_COULDNOT_BE_FORMATTED_TO_NUMBER`
`static java.lang.String` `ER_COULDNOT_CREATE_XMLPROCESSORLIAISON`
`static java.lang.String` `ER_COULDNOT_FIND_ENDOP_AFTER_OPLOCATIONPATH`
`static java.lang.String` `ER_COULDNOT_FIND_FUNCTION`
`static java.lang.String` `ER_COULDNOT_GET_VAR_NAMED`
`static java.lang.String` `ER_COUNT_TAKES_1_ARG`
`static java.lang.String` `ER_CURRENT_NOT_ALLOWED_IN_MATCH`
`static java.lang.String` `ER_CURRENT_TAKES_NO_ARGS`
`static java.lang.String` `ER_DETACH_NOT_SUPPORTED_XRTREEFRAGSELECTWRAPPER` detach() not supported by XRTreeFragSelectWrapper
`static java.lang.String` `ER_DIDNOT_FIND_XPATH_SELECT_EXP`
`static java.lang.String` `ER_DOC_MUTATED` Field ER_DOC_MUTATED
`static java.lang.String` `ER_DOCUMENT_REPLACED`
`static java.lang.String` `ER_DTM_CANNOT_HANDLE_NODES`
`static java.lang.String` `ER_EMPTY_EXPRESSION`
`static java.lang.String` `ER_EMPTY_XPATH_RESULT`
`static java.lang.String` `ER_ERROR_OCCURED`
`static java.lang.String` `ER_EXPECTED_BUT_FOUND`
`static java.lang.String` `ER_EXPECTED_DOUBLE_QUOTE`
`static java.lang.String` `ER_EXPECTED_LOC_PATH` Problem with LocationPath
`static java.lang.String` `ER_EXPECTED_LOC_PATH_AT_END_EXPR`
`static java.lang.String` `ER_EXPECTED_LOC_STEP` Problem with Step
`static java.lang.String` `ER_EXPECTED_MATCH_PATTERN`
`static java.lang.String` `ER_EXPECTED_NODE_TEST` Problem with NodeTest
`static java.lang.String` `ER_EXPECTED_REL_LOC_PATH` Problem with RelativeLocationPath
`static java.lang.String` `ER_EXPECTED_REL_PATH_PATTERN` Expected relative path pattern
`static java.lang.String` `ER_EXPECTED_SINGLE_QUOTE`
`static java.lang.String` `ER_EXPECTED_STEP_PATTERN` Expected step pattern
`static java.lang.String` `ER_EXTENSION_FUNCTION_CANNOT_BE_INVOKED`
`static java.lang.String` `ER_EXTRA_ILLEGAL_TOKENS`
`static java.lang.String` `ER_FASTSTRINGBUFFER_CANNOT_BE_NULL` The FastStringBuffer argument can not be null
`static java.lang.String` `ER_FEATURE_NAME_NULL`
`static java.lang.String` `ER_FEATURE_UNKNOWN`
`static java.lang.String` `ER_FOUND_COMMA_BUT_NO_FOLLOWING_ARG`
`static java.lang.String` `ER_FOUND_COMMA_BUT_NO_PRECEDING_ARG`
`static java.lang.String` `ER_FSB_CANNOT_TAKE_STRING` XStringForFSB can not take a string for an argument!
`static java.lang.String` `ER_FSB_NOT_SUPPORTED_XSTRINGFORCHARS` fsb() not supported for XStringForChars
`static java.lang.String` `ER_FUNCTION_TOKEN_NOT_FOUND`
`static java.lang.String` `ER_GETTING_NULL_FEATURE`
`static java.lang.String` `ER_GETTING_UNKNOWN_FEATURE`
`static java.lang.String` `ER_IGNORABLE_WHITESPACE_NOT_HANDLED`
`static java.lang.String` `ER_ILLEGAL_AXIS_NAME`
`static java.lang.String` `ER_ILLEGAL_VARIABLE_REFERENCE`
`static java.lang.String` `ER_INCOMPATIBLE_TYPES`
`static java.lang.String` `ER_INCORRECT_ARG_LENGTH`
`static java.lang.String` `ER_INCORRECT_PROGRAMMER_ASSERTION`
`static java.lang.String` `ER_INVALID_UTF16_SURROGATE`
`static java.lang.String` `ER_INVALID_XPATH_TYPE`
`static java.lang.String` `ER_KEY_HAS_TOO_MANY_ARGS`
`static java.lang.String` `ER_LOCALNAME_HAS_TOO_MANY_ARGS`
`static java.lang.String` `ER_NAME_HAS_TOO_MANY_ARGS`
`static java.lang.String` `ER_NAMESPACEAXIS_NOT_IMPLEMENTED`
`static java.lang.String` `ER_NAMESPACEURI_HAS_TOO_MANY_ARGS`
`static java.lang.String` `ER_NODESET_CANNOT_INDEX` This NodeSet can not do indexing or counting functions!
`static java.lang.String` `ER_NODESET_CANNOT_ITERATE` This NodeSet can not iterate to a previous node!
`static java.lang.String` `ER_NODESET_NOT_MUTABLE`
`static java.lang.String` `ER_NODESETDTM_CANNOT_INDEX` This NodeSetDTM can not do indexing or counting functions!
`static java.lang.String` `ER_NODESETDTM_CANNOT_ITERATE` This NodeSetDTM can not iterate to a previous node!
`static java.lang.String` `ER_NODESETDTM_NOT_MUTABLE`
`static java.lang.String` `ER_NON_ITERATOR_TYPE` Field ER_NON_ITERATOR_TYPE
`static java.lang.String` `ER_NON_SNAPSHOT_TYPE`
`static java.lang.String` `ER_NORMALIZESPACE_HAS_TOO_MANY_ARGS`
`static java.lang.String` `ER_NULL_ERROR_HANDLER` Null error handler
`static java.lang.String` `ER_NULL_RESOLVER`
`static java.lang.String` `ER_NULL_XPATH_FUNCTION_RESOLVER`
`static java.lang.String` `ER_NULL_XPATH_VARIABLE_RESOLVER`
`static java.lang.String` `ER_NUM_NOT_SUPPORTED_XRTREEFRAGSELECTWRAPPER` num() not supported by XRTreeFragSelectWrapper
`static java.lang.String` `ER_NUMBER_HAS_TOO_MANY_ARGS`
`static java.lang.String` `ER_OBJECT_MODEL_EMPTY`
`static java.lang.String` `ER_OBJECT_MODEL_NULL`
`static java.lang.String` `ER_OIERROR`
`static java.lang.String` `ER_ONLY_ALLOWS` {0} only allows {1} arguments
`static java.lang.String` `ER_PARSE_NOT_SUPPORTED`
`static java.lang.String` `ER_PATTERN_LITERAL_NEEDS_BE_QUOTED`
`static java.lang.String` `ER_PREDICATE_ILLEGAL_SYNTAX`
`static java.lang.String` `ER_PREFIX_MUST_RESOLVE`
`static java.lang.String` `ER_PROBLEM_IN_DTM_NEXTSIBLING`
`static java.lang.String` `ER_PROG_ASSERT_UNKNOWN_OPCODE` Programmer's assertion: unknown opcode
`static java.lang.String` `ER_RESOLVE_VARIABLE_RETURNS_NULL`
`static java.lang.String` `ER_RTF_NOT_SUPPORTED_XRTREEFRAGSELECTWRAPPER` rtf() not supported by XRTreeFragSelectWrapper
`static java.lang.String` `ER_SAX_API_NOT_HANDLED`
`static java.lang.String` `ER_SETDOMFACTORY_NOT_SUPPORTED`
`static java.lang.String` `ER_SETTING_WALKER_ROOT_TO_NULL` Error!
`static java.lang.String` `ER_SOURCE_RETURN_TYPE_CANNOT_BE_NULL`
`static java.lang.String` `ER_STR_NOT_SUPPORTED_XRTREEFRAGSELECTWRAPPER` str() not supported by XRTreeFragSelectWrapper
`static java.lang.String` `ER_STRING_HAS_TOO_MANY_ARGS`
`static java.lang.String` `ER_STRINGLENGTH_HAS_TOO_MANY_ARGS`
`static java.lang.String` `ER_TRANSLATE_TAKES_3_ARGS`
`static java.lang.String` `ER_TWO_OR_THREE` 2 or 3
`static java.lang.String` `ER_UNKNOWN_AXIS`
`static java.lang.String` `ER_UNKNOWN_MATCH_OPERATION`
`static java.lang.String` `ER_UNKNOWN_NODETYPE`
`static java.lang.String` `ER_UNKNOWN_OPCODE`
`static java.lang.String` `ER_UNKNOWN_STEP` Programmer's assertion in getNextStepPos: unknown stepType: {0}
`static java.lang.String` `ER_UNPARSEDENTITYURI_TAKES_1_ARG`
`static java.lang.String` `ER_UNSUPPORTED_ENCODING`
`static java.lang.String` `ER_UNSUPPORTED_RETURN_TYPE`
`static java.lang.String` `ER_VAR_NOT_RESOLVABLE` Variable not resolvable:
`static java.lang.String` `ER_VARIABLE_ACCESSED_BEFORE_BIND` Variable accessed before it is bound!
`static java.lang.String` `ER_WRONG_DOCUMENT`
`static java.lang.String` `ER_WRONG_NODETYPE` Field ER_WRONG_NODETYPE
`static java.lang.String` `ER_XERCES_CANNOT_HANDLE_NODES`
`static java.lang.String` `ER_XERCES_PARSE_ERROR`
`static java.lang.String` `ER_XERCES_PARSE_ERROR_DETAILS`
`static java.lang.String` `ER_XPATH_ERROR`
`static java.lang.String` `ER_XPATH_READOBJECT`
`static java.lang.String` `ER_XSTR_NOT_SUPPORTED_XRTREEFRAGSELECTWRAPPER` xstr() not supported by XRTreeFragSelectWrapper
`static java.lang.String` `ER_XSTRINGFORCHARS_CANNOT_TAKE_STRING` XStringForChars can not take a string for an argument
`static java.lang.String` `ER_ZERO_OR_ONE` 0 or 1
`static java.lang.String` `ERROR_HEADER` Field ERROR_HEADER
`static java.lang.String` `ERROR_RESOURCES` Field ERROR_RESOURCES
`static java.lang.String` `ERROR_STRING` Field ERROR_STRING
`static java.lang.String` `ERROR0000`
`static java.lang.String` `FORMAT_FAILED` Field FORMAT_FAILED
`static java.lang.String` `QUERY_HEADER` Field QUERY_HEADER
`static java.lang.String` `WARNING_HEADER` Field WARNING_HEADER
`static java.lang.String` `WG_CANNOT_MAKE_URL_FROM`
`static java.lang.String` `WG_COULDNOT_FIND_FUNCTION`
`static java.lang.String` `WG_DONT_DO_ANYTHING_WITH_NS`
`static java.lang.String` `WG_EXPAND_ENTITIES_NOT_SUPPORTED`
`static java.lang.String` `WG_FUNCTION_TOKEN_NOT_FOUND`
`static java.lang.String` `WG_ILLEGAL_VARIABLE_REFERENCE`
`static java.lang.String` `WG_LOCALE_NAME_NOT_HANDLED`
`static java.lang.String` `WG_NEED_DERIVED_OBJECT_TO_IMPLEMENT_NODETEST`
`static java.lang.String` `WG_PROPERTY_NOT_SUPPORTED`
`static java.lang.String` `WG_QUO_NO_LONGER_DEFINED`
`static java.lang.String` `WG_SECURITY_EXCEPTION`
`static java.lang.String` `WG_UNSUPPORTED_ENCODING`
`static java.lang.String` `XML_HEADER` Field XML_HEADER
`static java.lang.String` `XSL_HEADER` Field XSL_HEADER

### Constructor Summary

Constructors
Constructor and Description
`XPATHErrorResources_zh_TW()`

### Method Summary

Methods
`java.lang.Object[][]` `getContents()` Get the association list.
`static XPATHErrorResources` `loadResourceBundle(java.lang.String className)` Return a named ResourceBundle for a particular locale.

### Methods inherited from class java.util.ListResourceBundle

`getKeys, handleGetObject`

### Methods inherited from class java.util.ResourceBundle

`clearCache, clearCache, containsKey, getBundle, getBundle, getBundle, getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, keySet`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ERROR0000

    public static final java.lang.String ERROR0000

See Also:
  Constant Field Values

#### ER_CURRENT_NOT_ALLOWED_IN_MATCH

    public static final java.lang.String ER_CURRENT_NOT_ALLOWED_IN_MATCH

See Also:
  Constant Field Values

#### ER_CURRENT_TAKES_NO_ARGS

    public static final java.lang.String ER_CURRENT_TAKES_NO_ARGS

See Also:
  Constant Field Values

#### ER_DOCUMENT_REPLACED

    public static final java.lang.String ER_DOCUMENT_REPLACED

See Also:
  Constant Field Values

#### ER_CONTEXT_HAS_NO_OWNERDOC

    public static final java.lang.String ER_CONTEXT_HAS_NO_OWNERDOC

See Also:
  Constant Field Values

#### ER_LOCALNAME_HAS_TOO_MANY_ARGS

    public static final java.lang.String ER_LOCALNAME_HAS_TOO_MANY_ARGS

See Also:
  Constant Field Values

#### ER_NAMESPACEURI_HAS_TOO_MANY_ARGS

    public static final java.lang.String ER_NAMESPACEURI_HAS_TOO_MANY_ARGS

See Also:
  Constant Field Values

#### ER_NORMALIZESPACE_HAS_TOO_MANY_ARGS

    public static final java.lang.String ER_NORMALIZESPACE_HAS_TOO_MANY_ARGS

See Also:
  Constant Field Values

#### ER_NUMBER_HAS_TOO_MANY_ARGS

    public static final java.lang.String ER_NUMBER_HAS_TOO_MANY_ARGS

See Also:
  Constant Field Values

#### ER_NAME_HAS_TOO_MANY_ARGS

    public static final java.lang.String ER_NAME_HAS_TOO_MANY_ARGS

See Also:
  Constant Field Values

#### ER_STRING_HAS_TOO_MANY_ARGS

    public static final java.lang.String ER_STRING_HAS_TOO_MANY_ARGS

See Also:
  Constant Field Values

#### ER_STRINGLENGTH_HAS_TOO_MANY_ARGS

    public static final java.lang.String ER_STRINGLENGTH_HAS_TOO_MANY_ARGS

See Also:
  Constant Field Values

#### ER_TRANSLATE_TAKES_3_ARGS

    public static final java.lang.String ER_TRANSLATE_TAKES_3_ARGS

See Also:
  Constant Field Values

#### ER_UNPARSEDENTITYURI_TAKES_1_ARG

    public static final java.lang.String ER_UNPARSEDENTITYURI_TAKES_1_ARG

See Also:
  Constant Field Values

#### ER_NAMESPACEAXIS_NOT_IMPLEMENTED

    public static final java.lang.String ER_NAMESPACEAXIS_NOT_IMPLEMENTED

See Also:
  Constant Field Values

#### ER_UNKNOWN_AXIS

    public static final java.lang.String ER_UNKNOWN_AXIS

See Also:
  Constant Field Values

#### ER_UNKNOWN_MATCH_OPERATION

    public static final java.lang.String ER_UNKNOWN_MATCH_OPERATION

See Also:
  Constant Field Values

#### ER_INCORRECT_ARG_LENGTH

    public static final java.lang.String ER_INCORRECT_ARG_LENGTH

See Also:
  Constant Field Values

#### ER_CANT_CONVERT_TO_NUMBER

    public static final java.lang.String ER_CANT_CONVERT_TO_NUMBER

See Also:
  Constant Field Values

#### ER_CANT_CONVERT_XPATHRESULTTYPE_TO_NUMBER

    public static final java.lang.String ER_CANT_CONVERT_XPATHRESULTTYPE_TO_NUMBER

See Also:
  Constant Field Values

#### ER_CANT_CONVERT_TO_NODELIST

    public static final java.lang.String ER_CANT_CONVERT_TO_NODELIST

See Also:
  Constant Field Values

#### ER_CANT_CONVERT_TO_MUTABLENODELIST

    public static final java.lang.String ER_CANT_CONVERT_TO_MUTABLENODELIST

See Also:
  Constant Field Values

#### ER_CANT_CONVERT_TO_TYPE

    public static final java.lang.String ER_CANT_CONVERT_TO_TYPE

See Also:
  Constant Field Values

#### ER_EXPECTED_MATCH_PATTERN

    public static final java.lang.String ER_EXPECTED_MATCH_PATTERN

See Also:
  Constant Field Values

#### ER_COULDNOT_GET_VAR_NAMED

    public static final java.lang.String ER_COULDNOT_GET_VAR_NAMED

See Also:
  Constant Field Values

#### ER_UNKNOWN_OPCODE

    public static final java.lang.String ER_UNKNOWN_OPCODE

See Also:
  Constant Field Values

#### ER_EXTRA_ILLEGAL_TOKENS

    public static final java.lang.String ER_EXTRA_ILLEGAL_TOKENS

See Also:
  Constant Field Values

#### ER_EXPECTED_DOUBLE_QUOTE

    public static final java.lang.String ER_EXPECTED_DOUBLE_QUOTE

See Also:
  Constant Field Values

#### ER_EXPECTED_SINGLE_QUOTE

    public static final java.lang.String ER_EXPECTED_SINGLE_QUOTE

See Also:
  Constant Field Values

#### ER_EMPTY_EXPRESSION

    public static final java.lang.String ER_EMPTY_EXPRESSION

See Also:
  Constant Field Values

#### ER_EXPECTED_BUT_FOUND

    public static final java.lang.String ER_EXPECTED_BUT_FOUND

See Also:
  Constant Field Values

#### ER_INCORRECT_PROGRAMMER_ASSERTION

    public static final java.lang.String ER_INCORRECT_PROGRAMMER_ASSERTION

See Also:
  Constant Field Values

#### ER_BOOLEAN_ARG_NO_LONGER_OPTIONAL

    public static final java.lang.String ER_BOOLEAN_ARG_NO_LONGER_OPTIONAL

See Also:
  Constant Field Values

#### ER_FOUND_COMMA_BUT_NO_PRECEDING_ARG

    public static final java.lang.String ER_FOUND_COMMA_BUT_NO_PRECEDING_ARG

See Also:
  Constant Field Values

#### ER_FOUND_COMMA_BUT_NO_FOLLOWING_ARG

    public static final java.lang.String ER_FOUND_COMMA_BUT_NO_FOLLOWING_ARG

See Also:
  Constant Field Values

#### ER_PREDICATE_ILLEGAL_SYNTAX

    public static final java.lang.String ER_PREDICATE_ILLEGAL_SYNTAX

See Also:
  Constant Field Values

#### ER_ILLEGAL_AXIS_NAME

    public static final java.lang.String ER_ILLEGAL_AXIS_NAME

See Also:
  Constant Field Values

#### ER_UNKNOWN_NODETYPE

    public static final java.lang.String ER_UNKNOWN_NODETYPE

See Also:
  Constant Field Values

#### ER_PATTERN_LITERAL_NEEDS_BE_QUOTED

    public static final java.lang.String ER_PATTERN_LITERAL_NEEDS_BE_QUOTED

See Also:
  Constant Field Values

#### ER_COULDNOT_BE_FORMATTED_TO_NUMBER

    public static final java.lang.String ER_COULDNOT_BE_FORMATTED_TO_NUMBER

See Also:
  Constant Field Values

#### ER_COULDNOT_CREATE_XMLPROCESSORLIAISON

    public static final java.lang.String ER_COULDNOT_CREATE_XMLPROCESSORLIAISON

See Also:
  Constant Field Values

#### ER_DIDNOT_FIND_XPATH_SELECT_EXP

    public static final java.lang.String ER_DIDNOT_FIND_XPATH_SELECT_EXP

See Also:
  Constant Field Values

#### ER_COULDNOT_FIND_ENDOP_AFTER_OPLOCATIONPATH

    public static final java.lang.String ER_COULDNOT_FIND_ENDOP_AFTER_OPLOCATIONPATH

See Also:
  Constant Field Values

#### ER_ERROR_OCCURED

    public static final java.lang.String ER_ERROR_OCCURED

See Also:
  Constant Field Values

#### ER_ILLEGAL_VARIABLE_REFERENCE

    public static final java.lang.String ER_ILLEGAL_VARIABLE_REFERENCE

See Also:
  Constant Field Values

#### ER_AXES_NOT_ALLOWED

    public static final java.lang.String ER_AXES_NOT_ALLOWED

See Also:
  Constant Field Values

#### ER_KEY_HAS_TOO_MANY_ARGS

    public static final java.lang.String ER_KEY_HAS_TOO_MANY_ARGS

See Also:
  Constant Field Values

#### ER_COUNT_TAKES_1_ARG

    public static final java.lang.String ER_COUNT_TAKES_1_ARG

See Also:
  Constant Field Values

#### ER_COULDNOT_FIND_FUNCTION

    public static final java.lang.String ER_COULDNOT_FIND_FUNCTION

See Also:
  Constant Field Values

#### ER_UNSUPPORTED_ENCODING

    public static final java.lang.String ER_UNSUPPORTED_ENCODING

See Also:
  Constant Field Values

#### ER_PROBLEM_IN_DTM_NEXTSIBLING

    public static final java.lang.String ER_PROBLEM_IN_DTM_NEXTSIBLING

See Also:
  Constant Field Values

#### ER_CANNOT_WRITE_TO_EMPTYNODELISTIMPL

    public static final java.lang.String ER_CANNOT_WRITE_TO_EMPTYNODELISTIMPL

See Also:
  Constant Field Values

#### ER_SETDOMFACTORY_NOT_SUPPORTED

    public static final java.lang.String ER_SETDOMFACTORY_NOT_SUPPORTED

See Also:
  Constant Field Values

#### ER_PREFIX_MUST_RESOLVE

    public static final java.lang.String ER_PREFIX_MUST_RESOLVE

See Also:
  Constant Field Values

#### ER_PARSE_NOT_SUPPORTED

    public static final java.lang.String ER_PARSE_NOT_SUPPORTED

See Also:
  Constant Field Values

#### ER_SAX_API_NOT_HANDLED

    public static final java.lang.String ER_SAX_API_NOT_HANDLED

See Also:
  Constant Field Values

#### ER_IGNORABLE_WHITESPACE_NOT_HANDLED

    public static final java.lang.String ER_IGNORABLE_WHITESPACE_NOT_HANDLED

See Also:
  Constant Field Values

#### ER_DTM_CANNOT_HANDLE_NODES

    public static final java.lang.String ER_DTM_CANNOT_HANDLE_NODES

See Also:
  Constant Field Values

#### ER_XERCES_CANNOT_HANDLE_NODES

    public static final java.lang.String ER_XERCES_CANNOT_HANDLE_NODES

See Also:
  Constant Field Values

#### ER_XERCES_PARSE_ERROR_DETAILS

    public static final java.lang.String ER_XERCES_PARSE_ERROR_DETAILS

See Also:
  Constant Field Values

#### ER_XERCES_PARSE_ERROR

    public static final java.lang.String ER_XERCES_PARSE_ERROR

See Also:
  Constant Field Values

#### ER_INVALID_UTF16_SURROGATE

    public static final java.lang.String ER_INVALID_UTF16_SURROGATE

See Also:
  Constant Field Values

#### ER_OIERROR

    public static final java.lang.String ER_OIERROR

See Also:
  Constant Field Values

#### ER_CANNOT_CREATE_URL

    public static final java.lang.String ER_CANNOT_CREATE_URL

See Also:
  Constant Field Values

#### ER_XPATH_READOBJECT

    public static final java.lang.String ER_XPATH_READOBJECT

See Also:
  Constant Field Values

#### ER_FUNCTION_TOKEN_NOT_FOUND

    public static final java.lang.String ER_FUNCTION_TOKEN_NOT_FOUND

See Also:
  Constant Field Values

#### ER_CANNOT_DEAL_XPATH_TYPE

    public static final java.lang.String ER_CANNOT_DEAL_XPATH_TYPE

See Also:
  Constant Field Values

#### ER_NODESET_NOT_MUTABLE

    public static final java.lang.String ER_NODESET_NOT_MUTABLE

See Also:
  Constant Field Values

#### ER_NODESETDTM_NOT_MUTABLE

    public static final java.lang.String ER_NODESETDTM_NOT_MUTABLE

See Also:
  Constant Field Values

#### ER_VAR_NOT_RESOLVABLE

    public static final java.lang.String ER_VAR_NOT_RESOLVABLE

Variable not resolvable:

See Also:
  Constant Field Values

#### ER_NULL_ERROR_HANDLER

    public static final java.lang.String ER_NULL_ERROR_HANDLER

Null error handler

See Also:
  Constant Field Values

#### ER_PROG_ASSERT_UNKNOWN_OPCODE

    public static final java.lang.String ER_PROG_ASSERT_UNKNOWN_OPCODE

Programmer's assertion: unknown opcode

See Also:
  Constant Field Values

#### ER_ZERO_OR_ONE

    public static final java.lang.String ER_ZERO_OR_ONE

0 or 1

See Also:
  Constant Field Values

#### ER_RTF_NOT_SUPPORTED_XRTREEFRAGSELECTWRAPPER

    public static final java.lang.String ER_RTF_NOT_SUPPORTED_XRTREEFRAGSELECTWRAPPER

rtf() not supported by XRTreeFragSelectWrapper

See Also:
  Constant Field Values

#### ER_ASNODEITERATOR_NOT_SUPPORTED_XRTREEFRAGSELECTWRAPPER

    public static final java.lang.String ER_ASNODEITERATOR_NOT_SUPPORTED_XRTREEFRAGSELECTWRAPPER

asNodeIterator() not supported by XRTreeFragSelectWrapper

See Also:
  Constant Field Values

#### ER_FSB_NOT_SUPPORTED_XSTRINGFORCHARS

    public static final java.lang.String ER_FSB_NOT_SUPPORTED_XSTRINGFORCHARS

fsb() not supported for XStringForChars

See Also:
  Constant Field Values

#### ER_COULD_NOT_FIND_VAR

    public static final java.lang.String ER_COULD_NOT_FIND_VAR

Could not find variable with the name of

See Also:
  Constant Field Values

#### ER_XSTRINGFORCHARS_CANNOT_TAKE_STRING

    public static final java.lang.String ER_XSTRINGFORCHARS_CANNOT_TAKE_STRING

XStringForChars can not take a string for an argument

See Also:
  Constant Field Values

#### ER_FASTSTRINGBUFFER_CANNOT_BE_NULL

    public static final java.lang.String ER_FASTSTRINGBUFFER_CANNOT_BE_NULL

The FastStringBuffer argument can not be null

See Also:
  Constant Field Values

#### ER_TWO_OR_THREE

    public static final java.lang.String ER_TWO_OR_THREE

2 or 3

See Also:
  Constant Field Values

#### ER_VARIABLE_ACCESSED_BEFORE_BIND

    public static final java.lang.String ER_VARIABLE_ACCESSED_BEFORE_BIND

Variable accessed before it is bound!

See Also:
  Constant Field Values

#### ER_FSB_CANNOT_TAKE_STRING

    public static final java.lang.String ER_FSB_CANNOT_TAKE_STRING

XStringForFSB can not take a string for an argument!

See Also:
  Constant Field Values

#### ER_SETTING_WALKER_ROOT_TO_NULL

    public static final java.lang.String ER_SETTING_WALKER_ROOT_TO_NULL

Error! Setting the root of a walker to null!

See Also:
  Constant Field Values

#### ER_NODESETDTM_CANNOT_ITERATE

    public static final java.lang.String ER_NODESETDTM_CANNOT_ITERATE

This NodeSetDTM can not iterate to a previous node!

See Also:
  Constant Field Values

#### ER_NODESET_CANNOT_ITERATE

    public static final java.lang.String ER_NODESET_CANNOT_ITERATE

This NodeSet can not iterate to a previous node!

See Also:
  Constant Field Values

#### ER_NODESETDTM_CANNOT_INDEX

    public static final java.lang.String ER_NODESETDTM_CANNOT_INDEX

This NodeSetDTM can not do indexing or counting functions!

See Also:
  Constant Field Values

#### ER_NODESET_CANNOT_INDEX

    public static final java.lang.String ER_NODESET_CANNOT_INDEX

This NodeSet can not do indexing or counting functions!

See Also:
  Constant Field Values

#### ER_CANNOT_CALL_SETSHOULDCACHENODE

    public static final java.lang.String ER_CANNOT_CALL_SETSHOULDCACHENODE

Can not call setShouldCacheNodes after nextNode has been called!

See Also:
  Constant Field Values

#### ER_ONLY_ALLOWS

    public static final java.lang.String ER_ONLY_ALLOWS

{0} only allows {1} arguments

See Also:
  Constant Field Values

#### ER_UNKNOWN_STEP

    public static final java.lang.String ER_UNKNOWN_STEP

Programmer's assertion in getNextStepPos: unknown stepType: {0}

See Also:
  Constant Field Values

#### ER_EXPECTED_REL_LOC_PATH

    public static final java.lang.String ER_EXPECTED_REL_LOC_PATH

Problem with RelativeLocationPath

See Also:
  Constant Field Values

#### ER_EXPECTED_LOC_PATH

    public static final java.lang.String ER_EXPECTED_LOC_PATH

Problem with LocationPath

See Also:
  Constant Field Values

#### ER_EXPECTED_LOC_PATH_AT_END_EXPR

    public static final java.lang.String ER_EXPECTED_LOC_PATH_AT_END_EXPR

See Also:
  Constant Field Values

#### ER_EXPECTED_LOC_STEP

    public static final java.lang.String ER_EXPECTED_LOC_STEP

Problem with Step

See Also:
  Constant Field Values

#### ER_EXPECTED_NODE_TEST

    public static final java.lang.String ER_EXPECTED_NODE_TEST

Problem with NodeTest

See Also:
  Constant Field Values

#### ER_EXPECTED_STEP_PATTERN

    public static final java.lang.String ER_EXPECTED_STEP_PATTERN

Expected step pattern

See Also:
  Constant Field Values

#### ER_EXPECTED_REL_PATH_PATTERN

    public static final java.lang.String ER_EXPECTED_REL_PATH_PATTERN

Expected relative path pattern

See Also:
  Constant Field Values

#### ER_CANT_CONVERT_TO_BOOLEAN

    public static final java.lang.String ER_CANT_CONVERT_TO_BOOLEAN

ER_CANT_CONVERT_XPATHRESULTTYPE_TO_BOOLEAN

See Also:
  Constant Field Values

#### ER_CANT_CONVERT_TO_SINGLENODE

    public static final java.lang.String ER_CANT_CONVERT_TO_SINGLENODE

Field ER_CANT_CONVERT_TO_SINGLENODE

See Also:
  Constant Field Values

#### ER_CANT_GET_SNAPSHOT_LENGTH

    public static final java.lang.String ER_CANT_GET_SNAPSHOT_LENGTH

Field ER_CANT_GET_SNAPSHOT_LENGTH

See Also:
  Constant Field Values

#### ER_NON_ITERATOR_TYPE

    public static final java.lang.String ER_NON_ITERATOR_TYPE

Field ER_NON_ITERATOR_TYPE

See Also:
  Constant Field Values

#### ER_DOC_MUTATED

    public static final java.lang.String ER_DOC_MUTATED

Field ER_DOC_MUTATED

See Also:
  Constant Field Values

#### ER_INVALID_XPATH_TYPE

    public static final java.lang.String ER_INVALID_XPATH_TYPE

See Also:
  Constant Field Values

#### ER_EMPTY_XPATH_RESULT

    public static final java.lang.String ER_EMPTY_XPATH_RESULT

See Also:
  Constant Field Values

#### ER_INCOMPATIBLE_TYPES

    public static final java.lang.String ER_INCOMPATIBLE_TYPES

See Also:
  Constant Field Values

#### ER_NULL_RESOLVER

    public static final java.lang.String ER_NULL_RESOLVER

See Also:
  Constant Field Values

#### ER_CANT_CONVERT_TO_STRING

    public static final java.lang.String ER_CANT_CONVERT_TO_STRING

See Also:
  Constant Field Values

#### ER_NON_SNAPSHOT_TYPE

    public static final java.lang.String ER_NON_SNAPSHOT_TYPE

See Also:
  Constant Field Values

#### ER_WRONG_DOCUMENT

    public static final java.lang.String ER_WRONG_DOCUMENT

See Also:
  Constant Field Values

#### ER_WRONG_NODETYPE

    public static final java.lang.String ER_WRONG_NODETYPE

Field ER_WRONG_NODETYPE

See Also:
  Constant Field Values

#### ER_XPATH_ERROR

    public static final java.lang.String ER_XPATH_ERROR

See Also:
  Constant Field Values

#### ER_EXTENSION_FUNCTION_CANNOT_BE_INVOKED

    public static final java.lang.String ER_EXTENSION_FUNCTION_CANNOT_BE_INVOKED

See Also:
  Constant Field Values

#### ER_RESOLVE_VARIABLE_RETURNS_NULL

    public static final java.lang.String ER_RESOLVE_VARIABLE_RETURNS_NULL

See Also:
  Constant Field Values

#### ER_UNSUPPORTED_RETURN_TYPE

    public static final java.lang.String ER_UNSUPPORTED_RETURN_TYPE

See Also:
  Constant Field Values

#### ER_SOURCE_RETURN_TYPE_CANNOT_BE_NULL

    public static final java.lang.String ER_SOURCE_RETURN_TYPE_CANNOT_BE_NULL

See Also:
  Constant Field Values

#### ER_ARG_CANNOT_BE_NULL

    public static final java.lang.String ER_ARG_CANNOT_BE_NULL

See Also:
  Constant Field Values

#### ER_OBJECT_MODEL_NULL

    public static final java.lang.String ER_OBJECT_MODEL_NULL

See Also:
  Constant Field Values

#### ER_OBJECT_MODEL_EMPTY

    public static final java.lang.String ER_OBJECT_MODEL_EMPTY

See Also:
  Constant Field Values

#### ER_FEATURE_NAME_NULL

    public static final java.lang.String ER_FEATURE_NAME_NULL

See Also:
  Constant Field Values

#### ER_FEATURE_UNKNOWN

    public static final java.lang.String ER_FEATURE_UNKNOWN

See Also:
  Constant Field Values

#### ER_GETTING_NULL_FEATURE

    public static final java.lang.String ER_GETTING_NULL_FEATURE

See Also:
  Constant Field Values

#### ER_GETTING_UNKNOWN_FEATURE

    public static final java.lang.String ER_GETTING_UNKNOWN_FEATURE

See Also:
  Constant Field Values

#### ER_NULL_XPATH_FUNCTION_RESOLVER

    public static final java.lang.String ER_NULL_XPATH_FUNCTION_RESOLVER

See Also:
  Constant Field Values

#### ER_NULL_XPATH_VARIABLE_RESOLVER

    public static final java.lang.String ER_NULL_XPATH_VARIABLE_RESOLVER

See Also:
  Constant Field Values

#### WG_LOCALE_NAME_NOT_HANDLED

    public static final java.lang.String WG_LOCALE_NAME_NOT_HANDLED

See Also:
  Constant Field Values

#### WG_PROPERTY_NOT_SUPPORTED

    public static final java.lang.String WG_PROPERTY_NOT_SUPPORTED

See Also:
  Constant Field Values

#### WG_DONT_DO_ANYTHING_WITH_NS

    public static final java.lang.String WG_DONT_DO_ANYTHING_WITH_NS

See Also:
  Constant Field Values

#### WG_SECURITY_EXCEPTION

    public static final java.lang.String WG_SECURITY_EXCEPTION

See Also:
  Constant Field Values

#### WG_QUO_NO_LONGER_DEFINED

    public static final java.lang.String WG_QUO_NO_LONGER_DEFINED

See Also:
  Constant Field Values

#### WG_NEED_DERIVED_OBJECT_TO_IMPLEMENT_NODETEST

    public static final java.lang.String WG_NEED_DERIVED_OBJECT_TO_IMPLEMENT_NODETEST

See Also:
  Constant Field Values

#### WG_FUNCTION_TOKEN_NOT_FOUND

    public static final java.lang.String WG_FUNCTION_TOKEN_NOT_FOUND

See Also:
  Constant Field Values

#### WG_COULDNOT_FIND_FUNCTION

    public static final java.lang.String WG_COULDNOT_FIND_FUNCTION

See Also:
  Constant Field Values

#### WG_CANNOT_MAKE_URL_FROM

    public static final java.lang.String WG_CANNOT_MAKE_URL_FROM

See Also:
  Constant Field Values

#### WG_EXPAND_ENTITIES_NOT_SUPPORTED

    public static final java.lang.String WG_EXPAND_ENTITIES_NOT_SUPPORTED

See Also:
  Constant Field Values

#### WG_ILLEGAL_VARIABLE_REFERENCE

    public static final java.lang.String WG_ILLEGAL_VARIABLE_REFERENCE

See Also:
  Constant Field Values

#### WG_UNSUPPORTED_ENCODING

    public static final java.lang.String WG_UNSUPPORTED_ENCODING

See Also:
  Constant Field Values

#### ER_DETACH_NOT_SUPPORTED_XRTREEFRAGSELECTWRAPPER

    public static final java.lang.String ER_DETACH_NOT_SUPPORTED_XRTREEFRAGSELECTWRAPPER

detach() not supported by XRTreeFragSelectWrapper

See Also:
  Constant Field Values

#### ER_NUM_NOT_SUPPORTED_XRTREEFRAGSELECTWRAPPER

    public static final java.lang.String ER_NUM_NOT_SUPPORTED_XRTREEFRAGSELECTWRAPPER

num() not supported by XRTreeFragSelectWrapper

See Also:
  Constant Field Values

#### ER_XSTR_NOT_SUPPORTED_XRTREEFRAGSELECTWRAPPER

    public static final java.lang.String ER_XSTR_NOT_SUPPORTED_XRTREEFRAGSELECTWRAPPER

xstr() not supported by XRTreeFragSelectWrapper

See Also:
  Constant Field Values

#### ER_STR_NOT_SUPPORTED_XRTREEFRAGSELECTWRAPPER

    public static final java.lang.String ER_STR_NOT_SUPPORTED_XRTREEFRAGSELECTWRAPPER

str() not supported by XRTreeFragSelectWrapper

See Also:
  Constant Field Values

#### BAD_CODE

    public static final java.lang.String BAD_CODE

Field BAD_CODE

See Also:
  Constant Field Values

#### FORMAT_FAILED

    public static final java.lang.String FORMAT_FAILED

Field FORMAT_FAILED

See Also:
  Constant Field Values

#### ERROR_RESOURCES

    public static final java.lang.String ERROR_RESOURCES

Field ERROR_RESOURCES

See Also:
  Constant Field Values

#### ERROR_STRING

    public static final java.lang.String ERROR_STRING

Field ERROR_STRING

See Also:
  Constant Field Values

#### ERROR_HEADER

    public static final java.lang.String ERROR_HEADER

Field ERROR_HEADER

See Also:
  Constant Field Values

#### WARNING_HEADER

    public static final java.lang.String WARNING_HEADER

Field WARNING_HEADER

See Also:
  Constant Field Values

#### XSL_HEADER

    public static final java.lang.String XSL_HEADER

Field XSL_HEADER

See Also:
  Constant Field Values

#### XML_HEADER

    public static final java.lang.String XML_HEADER

Field XML_HEADER

See Also:
  Constant Field Values

#### QUERY_HEADER

    public static final java.lang.String QUERY_HEADER

Field QUERY_HEADER

See Also:
  Constant Field Values

### Constructor Detail

#### XPATHErrorResources_zh_TW

    public XPATHErrorResources_zh_TW()

### Method Detail

#### getContents

    public java.lang.Object[][] getContents()

Get the association list.

Specified by:
  `getContents` in class `java.util.ListResourceBundle`
Returns:
  The association list.

#### loadResourceBundle

    public static final XPATHErrorResources loadResourceBundle(java.lang.String className)
                                                        throws java.util.MissingResourceException

Return a named ResourceBundle for a particular locale. This method mimics the behavior of ResourceBundle.getBundle().

Parameters:
  `className` - Name of local-specific subclass.
Returns:
  the ResourceBundle
Throws:
  `java.util.MissingResourceException`